<div class="login-form">
	<form [formGroup]="loginForm" (ngSubmit)="login()">
		<div>
			<mat-form-field>
				<input matInput type="test" [placeholder]="'username' | translate" formControlName="UserName">
				<mat-error *ngIf="loginForm.get('UserName').errors?.required">
				{{'loginRequired' | translate}}
				</mat-error>
			</mat-form-field>
		</div>
		<div>
			<mat-form-field>
				<input matInput type="password" [placeholder]="'password' | translate" formControlName="Password">
				<mat-error *ngIf="loginForm.get('Password').errors?.required">
					{{'passwordRequired' | translate}}
				</mat-error>
			</mat-form-field>
		</div>
		<div class="login">
			<button type="submit" [disabled]="loginForm.invalid" mat-raised-button color="primary">{{'login' | translate}}</button>
		</div>
		<div class="error">
			<mat-error *ngIf="invalidCredentials || loginError">
				{{invalidCredentials ? ('wrongLogin' | translate) : ('problemWithLogin' | translate) }}
			</mat-error>
		</div>
	</form>
</div>